version: '3.8'

services:
  prowlarr:
    image: lscr.io/linuxserver/prowlarr:latest
    container_name: prowlarr
    environment:
      - PUID=1002 # Default PUID, please replace with your actual PUID
      - PGID=1002 # Default PGID, please replace with your actual PGID
      - TZ=Europe/Oslo # Default Timezone, please replace with your actual Timezone
    volumes:
      - ./config/prowlarr:/config
    ports:
      - 9696:9696
    restart: unless-stopped
    networks:
      - arr-net

  radarr:
    image: lscr.io/linuxserver/radarr:latest
    container_name: radarr
    environment:
      - PUID=1002 # Default PUID, please replace with your actual PUID
      - PGID=1002 # Default PGID, please replace with your actual PGID
      - TZ=Europe/Oslo # Default Timezone, please replace with your actual Timezone
    volumes:
      - ./config/radarr:/config
      - ./media/movies:/movies # Your movie library
      - ./media/downloads:/downloads # Your download client's completed downloads
    ports:
      - 7878:7878
    restart: unless-stopped
    networks:
      - arr-net
    depends_on:
      - prowlarr # Radarr needs Prowlarr for indexers

  sonarr:
    image: lscr.io/linuxserver/sonarr:latest
    container_name: sonarr
    environment:
      - PUID=1002 # Default PUID, please replace with your actual PUID
      - PGID=1002 # Default PGID, please replace with your actual PGID
      - TZ=Europe/Oslo # Default Timezone, please replace with your actual Timezone
    volumes:
      - ./config/sonarr:/config
      - ./media/tv:/tv # Your TV show library
      - ./media/downloads:/downloads # Your download client's completed downloads
    ports:
      - 8989:8989
    restart: unless-stopped
    networks:
      - arr-net
    depends_on:
      - prowlarr # Sonarr needs Prowlarr for indexers

networks:
  arr-net:
    driver: bridge
